%define name	qvcd
%define version	0.21
%define release 1mdk

Name: 	 	%{name}
Summary: 	Tool for building and writing VCD's
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://www.steffen-sobiech.de/qvcd_1_en.htm
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libqt3-devel gettext libpng-devel
Requires:	vcdimager cdrdao

%description
qvcd is a graphical frontend for GNU vcdimager and cdrdao. Together with
those tools, qvcd can be used to create a VideoCD out of an MPEG file. 

%prep
%setup -q
perl -p -i -e 's/--tag=CXX\ //g' qvcd/Makefile.in

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr $RPM_BUILD_ROOT/usr/doc

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="QVCD" longtitle="Video CD Creator" section="Multimedia/Video"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README qvcd/docs/en/*.html
%{_bindir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sat Mar 22 2003 Austin Acton <aacton@yorku.ca> 0.21-1mdk
- initial package
